> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get balance definition list

GET https://api.brevo.com/v3/loyalty/balance/programs/{pid}/balance-definitions

Returns balance definition page

Reference: https://developers.brevo.com/reference/get-balance-definition-list

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `pid` (string, required) — Loyalty Program Id

### Query parameters

- `limit` (integer, optional, default: 200) — Limit the number of records returned
- `offset` (integer, optional, default: 0) — Offset to paginate records
- `sortField` (enum, optional, default: updated_at) — Field to sort by
  - Allowed values: `name`, `created_at`, `updated_at`
- `sort` (enum, optional, default: desc) — Sort direction
  - Allowed values: `asc`, `desc`
- `version` (enum, optional, default: draft) — Version
  - Allowed values: `active`, `draft`

## Response

### 200

Successful retrieval of balance definition page

- `items` (list of object, optional) — list of balance definitions
  - `id` (string, optional) — Unique identifier for the balance definition.
  - `name` (string, optional) — Name of the balance definition.
  - `description` (string, optional) — Short description of the balance definition.
  - `imageRef` (string, optional) — Optional image reference URL.
  - `meta` (map from string to any, optional) — Additional metadata for the balance definition.
  - `unit` (enum, optional) — Unit of balance measurement.
    - Allowed values: `POINTS`, `EUR`, `USD`, `MXN`, `GBP`, `INR`, `CAD`, `SGD`, `RON`, `JPY`, `MYR`, `CLP`, `PEN`, `MAD`, `AUD`, `CHF`, `BRL`
  - `minAmount` (double, optional) — Minimum allowable balance.
  - `maxAmount` (double, optional) — Maximum allowable balance.
  - `maxCreditAmountLimit` (double, optional) — Maximum credit allowed per operation.
  - `maxDebitAmountLimit` (double, optional) — Maximum debit allowed per operation.
  - `balanceOptionAmountOvertakingStrategy` (enum, optional) — Partial enables partial credit of balance if maximum balance limit is reached. Strict enables rejection of a transaction if it will breach the max balance limit.
    - Allowed values: `strict`, `partial`
  - `balanceOptionCreditRounding` (enum, optional) — Rounding strategy for credit transactions.
    - Allowed values: `lower`, `upper`, `natural`
  - `balanceOptionDebitRounding` (enum, optional) — Rounding strategy for debit transactions.
    - Allowed values: `lower`, `upper`, `natural`
  - `balanceAvailabilityDurationValue` (integer, optional) — Number of time units before the balance expires.
  - `balanceAvailabilityDurationUnit` (enum, optional) — Unit of time for the balance availability duration.
    - Allowed values: `day`, `week`, `month`, `year`
  - `balanceAvailabilityDurationModifier` (enum, optional) — Modifier for balance availability duration. startOfPeriod causes expiry at the start of the period, endOfPeriod at the end. noModification uses the exact duration from the credit date.
    - Allowed values: `noModification`, `startOfPeriod`, `endOfPeriod`
  - `balanceExpirationDate` (string, optional) — Fixed expiration date in dd/mm format. The balance expires when this date next appears in the calendar. Only one of balanceExpirationDate or balance availability duration fields can be used.
  - `createdAt` (datetime, optional) — Timestamp of balance definition creation.
  - `updatedAt` (datetime, optional) — Timestamp of the last update.
  - `deletedAt` (datetime, optional) — Timestamp of balance definition deletion (nullable).

## Errors

### 401 Unauthorized Error

Request Authentication Failed

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 403 Forbidden Error

Cannot Authenticate Request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 422 Unprocessable Entity Error

Validation errors

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 500 Internal Server Error

Internal error occurred

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "items": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "imageRef": "string",
      "meta": {},
      "unit": "POINTS",
      "minAmount": 1.1,
      "maxAmount": 1.1,
      "maxCreditAmountLimit": 1.1,
      "maxDebitAmountLimit": 1.1,
      "balanceOptionAmountOvertakingStrategy": "strict",
      "balanceOptionCreditRounding": "lower",
      "balanceOptionDebitRounding": "lower",
      "balanceAvailabilityDurationValue": 1,
      "balanceAvailabilityDurationUnit": "day",
      "balanceAvailabilityDurationModifier": "noModification",
      "balanceExpirationDate": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z",
      "deletedAt": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.balance.getBalanceDefinitionList({
        pid: "pid",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.balance.get_balance_definition_list(
    pid="pid",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Balance\Requests\GetBalanceDefinitionListRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->balance->getBalanceDefinitionList(
    'pid',
    new GetBalanceDefinitionListRequest([]),
);

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/loyalty/balance/programs/pid/balance-definitions"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/loyalty/balance/programs/pid/balance-definitions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/loyalty/balance/programs/pid/balance-definitions")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/loyalty/balance/programs/pid/balance-definitions");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/loyalty/balance/programs/pid/balance-definitions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```